> For the complete documentation index, see [llms.txt](https://docs.flosum.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flosum.com/global-settings/environment/organizations/overview-of-salesforce-org-requirements.md).

# Overview of Salesforce Org Requirements

## ![](https://579543750-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FsEk2hU5IMh3HEY5dJZjR%2Fuploads%2FSxcnKlaJKPzDqONWoDNv%2FSummary2-Small-Icon.svg?alt=media\&token=5e3253d0-a069-4ba5-9c06-83c70bd0b21d) Overview

Before connecting your Salesforce org with Flosum Cloud Apps, ensure you meet the following requirements. Each is explained in more detail in the sections below.

* Flosum recommends creating a **Dedicated Salesforce User** account to establish the connection between the Salesforce org and Flosum Cloud Apps.
* If your org uses **IP Address Restrictions**, you must allow Flosum's IP Addresses.
* If your org has **API Access Control** enabled, you must complete additional steps when connecting it to Flosum Cloud Apps.

## Dedicated Salesforce User

When connecting your Salesforce org to Flosum Cloud Apps, you need to provide a user account for authentication and to maintain the connection to the org. It's recommended to create a dedicated Salesforce user account instead of using an employee's personal account. This prevents disruptions if, for example, an employee leaves and their personal account is deactivated. See the following article for more details about the required permissions for this user account.

* [Creating a Dedicated Salesforce User](/global-settings/environment/organizations/creating-a-dedicated-salesforce-user.md)

## Allowing Flosum IP Addresses

All communication from your Flosum Cloud App tenant to your Salesforce org will originate from Flosum's AWS servers. If your Salesforce org uses **IP restriction rules** at the **Org level** or **Profile level**, you must allow Flosum's servers for your tenant's region. All IP addresses for your region must be allowed. See the following table for a list of IP addresses for each region.

<table><thead><tr><th width="275.40362548828125">Region</th><th width="215.41015625">IP Address 1</th><th>IP Address 2</th></tr></thead><tbody><tr><td>United States</td><td>3.20.76.2</td><td>18.224.75.98</td></tr><tr><td>Germany</td><td>3.125.87.81</td><td>18.199.42.135</td></tr><tr><td>Japan</td><td>18.176.22.236</td><td>54.238.106.128</td></tr><tr><td>Australia</td><td>13.237.137.32</td><td>54.66.210.123</td></tr></tbody></table>

{% hint style="info" %}

#### Salesforce Documentation

See the following Salesforce documentation articles for instructions on allowing IP addresses.

* **Org Level**: [Set Trusted IP Ranges for Your Org](https://help.salesforce.com/s/articleView?id=xcloud.security_networkaccess.htm\&type=5)
* **Profile Level**: [Restrict Login IP Addresses in Profiles](https://help.salesforce.com/s/articleView?id=platform.login_ip_ranges.htm\&type=5)
  {% endhint %}

## Salesforce API Access Control Enabled

To connect your Salesforce org with Flosum Cloud Apps when **API Access Control** is enabled, follow these additional steps. This guide, originally created for a previous version of Flosum Backup & Archive, remains applicable to the current version.

See the following page for the current user guide.

* [Salesforce API Access Control](/resources/user-guides/backup-and-archive/salesforce-api-access-control.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flosum.com/global-settings/environment/organizations/overview-of-salesforce-org-requirements.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
